Token payroll
Remove Items From Payroll Group
Removes selected items from their reporting group, deleting groups left empty.
POSThttps://api.toku.com/tga/remove-items-from-payroll-group
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/tga/remove-items-from-payroll-group' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"itemType": "VESTING"
}
]
}'200 response
{
"success": true,
"removedCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
itemsobject[]requiredShow child attributes
idstring<uuid>requireditemTypestringrequiredAvailable options: VESTING, LOCKUP, WARRANT_LOCKUP
Response
200Successful response
successbooleanrequiredremovedCountintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits